MAN(1)

NAAM
man - an interface to the system reference manuals

SAMENVATTING
man [man options] [[section] page ...] ...
man -k [apropos options] regexp ...
man -K [man options] [section] term ...
man -f [whatis options] page ...
man -l [man options] file ...
man -w|-W [man options] page ...

BESCHRIJVING
man is the system's manual pager. Each page argument given to man is normally the name of a program, utility or function. The manual page associated with each of these arguments is then found and displayed. A section, if provided, will direct man to look only in that section of the manual. The default action is to search in all of the available sections following a pre-defined order (see DEFAULTS), and to show only the first page found, even if page exists in several sections. De onderstaande tabel toont de sectie-nummers van de handleiding, gevolgd door de paginasoorten die ze bevatten.
1 | Executable programs or shell commands
2 | System calls (functions provided by the kernel)
3 | Library calls (functions within program libraries)
4 | Special files (usually found in /dev)
5 | File formats and conventions, e.g. /etc/passwd
6 | Games
7 | Miscellaneous (including macro packages and conventions), e.g. man(7), groff(7), man-pages(7)
8 | System administration commands (usually only for root)
9 | Kernel routines [Non standard]
Een man-pagina bestaat uit verschillende delen. Conventional section names include NAME, SYNOPSIS, CONFIGURATION, DESCRIPTION, OPTIONS, EXIT STATUS, RETURN VALUE, ERRORS, ENVIRONMENT, FILES, VERSIONS, STANDARDS, NOTES, BUGS, EXAMPLE, AUTHORS, and SEE ALSO. De volgende conventies zijn van toepassing op het deel SAMENVATTING en kunnen als voorbeeld voor andere delen gebruikt worden.
bold text | type exactly as shown.
italic text | replace with appropriate argument.
[-abc] | any or all arguments within [ ] are optional.
-a|-b | options delimited by | cannot be used together.
argument ... | argument is repeatable.
[expression] ... | entire expression within [ ] is repeatable.
Exacte opmaak kan variëren afhankelijk van het uitvoerapparaat. Zo kan man meestal geen cursieve tekst tonen als het in een terminal wordt uitgevoerd en zal in plaats daarvan onderstreepte of gekleurde tekst gebruiken. De illustratie van functie of opdracht is een patroon die overeen moet komen met alle mogelijke aanroepen. In sommige gevallen heeft het de voorkeur meerdere uitsluitende aanroepen te illustreren, zoals in de sectie SAMENVATTING van deze man-pagina wordt getoond.

VOORBEELDEN

man ls
    Toon de man-pagina voor het item (programma) ls.

man man.7
    Display the manual page for macro package man from section 7. (This is an alternative spelling of "man 7 man".)

man 'man(7)'
    Display the manual page for macro package man from section 7. (This is another alternative spelling of "man 7 man". It may be more convenient when copying and pasting cross-references to manual pages. Note that the parentheses must normally be quoted to protect them from the shell.)

man -a introductie
    Alle beschikbare introductie-pagina's van de handleiding in volgorde tonen. Het is mogelijk tussen de opeenvolgende weergaven te stoppen of ze over te slaan.

man -t bash | lpr -Pps
    Format the manual page for bash into the default troff or groff format and pipe it to the printer named ps. The default output for groff is usually PostScript. man --help should advise as to which processor is bound to the -t option.

man -l -Tdvi ./foo.1x.gz > ./foo.1x.dvi
    This command will decompress and format the nroff source manual page ./foo.1x.gz into a device independent (dvi) file. The redirection is necessary as the -T flag causes output to be directed to stdout with no pager. The output could be viewed with a program such as xdvi or further processed into PostScript using a program such as dvips.

man -k printf
    Zoek in de korte beschrijvingen en namen van man-pagina's naar het trefwoord printf als reguliere expressie. Toon iedere treffer. Komt overeen met apropos printf.

man -f smail
    Alle korte beschijvingen tonen van de man-pagina's waarnaar verwezen wordt door smail. Is gelijk aan whatis smail.

OVERZICHT
Om de gebruiker maximale flexibiliteit te geven, heeft man vele opties. Het zoekpad, de volgorde van secties, de wijze van uitvoerverwerking en andere gedrag kan worden aangepast, waarover hieronder meer informatie staat. If set, various environment variables are interrogated to determine the operation of man. It is possible to set the "catch-all" variable $MANOPT to any string in command line format, with the exception that any spaces used as part of an option's argument must be escaped (preceded by a backslash). man will parse $MANOPT prior to parsing its own command line. Those options requiring an argument will be overridden by the same options found on the command line. To reset all of the options set in $MANOPT, -D can be specified as the initial command line option. This will allow man to "forget" about the options specified in $MANOPT, although they must still have been valid. Manual pages are normally stored in nroff(1) format under a directory such as /usr/share/man. In some installations, there may also be preformatted cat pages to improve performance. See manpath(5) for details of where these files are stored. This package supports manual pages in multiple languages, controlled by your locale. If your system did not set this up for you automatically, then you may need to set $LC_MESSAGES, $LANG, or another system-dependent environment variable to indicate your preferred locale, usually specified in the POSIX format: <taal>[_<gebied>[.<karakter-set>[,<versie>]]] Als de gewenste pagina in uw taalgebied beschikbaar is, zal het getoond worden in plaats van de standaardpagina (meestal Amerikaans Engels). If you find that the translations supplied with this package are not available in your native language and you would like to supply them, please contact the maintainer who will be coordinating such activity. Individual manual pages are normally written and maintained by the maintainers of the program, function, or other topic that they document, and are not included with this package. If you find that a manual page is missing or inadequate, please report that to the maintainers of the package in question. Voor informatie over andere beschikbare functionaliteiten en uitbreidingen in deze man-paginaopmaker wordt verwezen naar de documenten bij dit pakket.

STANDAARDEN
The order of sections to search may be overridden by the environment variable $MANSECT or by the SECTION directive in /etc/man_db.conf. By default it is as follows:
    1 1p 8 2 3 3p 4 5 6 7 9 0p tcl n l p o 1x 2x 3x 4x 5x 6x 7x 8x
The formatted manual page is displayed using a pager. This can be specified in a number of ways, or else will fall back to a default (see option -P for details). The filters are deciphered by a number of means. Firstly, the command line option -p or the environment variable $MANROFFSEQ is interrogated. If -p was not used and the environment variable was not set, the initial line of the nroff file is parsed for a preprocessor string. To contain a valid preprocessor string, the first line must resemble '\" <string> waarbij string iedere combinatie van letters kan zijn, hieronder beschreven door optie -p. Als geen van de bovenstaande methoden filterinformatie oplevert, worden standaardinstellingen gebruikt. Een informatiestroom die de opmaak verzorgt, wordt gevormd door de filters en de hoofdopmaker (nroff of [tg]roff met -t) wordt uitgevoerd. Als alternatief kan er een programma worden uitgevoerd mandb_nfmt (of mandb_tfmt met -t) mits deze bestaat in de top van de manstructuur. Het ontvangt het bronbestand van de man-pagina, de preprocessorstring en optioneel het apparaat dat is gespecificeerd met de argumenten -T of -E.

OPTIES
Non-argument options that are duplicated either on the command line, in $MANOPT, or both, are not harmful. For options that require an argument, each duplication will override the previous argument value.

  Algemene opties

-C bestand, --config-file=bestand
    Use this user configuration file rather than the default of ~/.manpath.

-d, --debug
    Foutinformatie tonen.

-D, --default
    Deze optie wordt normaal als allereerste opgegeven en hersteld het gedrag van man. Het wordt gebruikt om die opties te herstellen die mogelijk in $MANOPT zijn opgegeven. Iedere optie die volgt op -D zal het normale effect hebben.

--warnings[=warnings]
    Enable warnings from groff. This may be used to perform sanity checks on the source text of manual pages. warnings is a comma-separated list of warning names; if it is not supplied, the default is "mac". To disable a groff warning, prefix it with "!": for example, --warnings=mac,!break enables warnings in the "mac" category and disables warnings in the "break" category. See the “Warnings” node in info groff for a list of available warning names.

  Belangrijkste uitvoeringswijzen

-f, --whatis
    Approximately equivalent to whatis. Display a short description from the manual page, if available. See whatis(1) for details.

-k, --apropos
    Approximately equivalent to apropos. Search the short manual page descriptions for keywords and display any matches. See apropos(1) for details.

-K, --global-apropos
    Naar tekst zoeken in alle man-pagina's. Dit is een zoekactie met brute kracht en zal mogelijk nogal wat tijd kosten; indien mogelijk kunt u een sectie opgeven om het aantal pagina's dat doorzocht moet worden te reduceren. Zoektermen kunnen eenvoudige tekenreeksen zijn (de standaard) of reguliere expressies in het geval de optie --regex is gebruikt.

    Note that this searches the sources of the manual pages, not the rendered text, and so may include false positives due to things like comments in source files, or false negatives due to things like hyphens being written as "\-" in source files. Searching the rendered text would be much slower.

-l, --local-file
    Activate "local" mode. Format and display local manual files instead of searching through the system's manual collection. Each manual page argument will be interpreted as an nroff source file in the correct format. No cat file is produced. If '-' is listed as one of the arguments, input will be taken from stdin.

    If this option is not used, then man will also fall back to interpreting manual page arguments as local file names if the argument contains a "/" character, since that is a good indication that the argument refers to a path on the file system.

-w, --where, --path, --location
    Don't actually display the manual page, but do print the location of the source nroff file that would be formatted. If the -a option is also used, then print the locations of all source files that match the search criteria.

-W, --where-cat, --location-cat
    Don't actually display the manual page, but do print the location of the preformatted cat file that would be displayed. If the -a option is also used, then print the locations of all preformatted cat files that match the search criteria.

    If -w and -W are both used, then print both source file and cat file separated by a space. If all of -w, -W, and -a are used, then do this for each possible match.

-c, --catman
    De optie is niet voor algemeen gebruik en mag alleen gebruikt worden door het programma catman.

-R encoding, --recode=encoding
    In plaats van de man-pagina op de gebruikelijke wijze op te maken, schrijf de broncode weg, geconverteerde naar de opgegven encoding. Wanneer u de codering van het bronbestand al weet, dan kunt u ook direct gebruik maken van manconv(1). Deze optie geeft u echter de mogelijkheid om meerdere map-pagina's naar een enkele codering te converteren zonder expliciet de codering voor elke apart op te moeten geven, mits ze al geïnstalleerd zijn in een structuur die overeenkomt met die van de man-pagina's.

    Consider using man-recode(1) instead for converting multiple manual pages, since it has an interface designed for bulk conversion and so can be much faster.

  Man-pagina's vinden

-L taalgebied, --locale=taalgebied
    man zal normaal uw huidige taalgebied bepalen met een aanroep van de C-functie setlocale(3) die verschillende omgevingsvariabelen bevraagt, waaronder mogelijk $LC_MESSAGES en $LANG. Om de vastgestelde waarde tijdelijk te overschrijven gebruikt u deze optie om een taalgebied direct aan man door te geven. Merk op dat dit geen effect heeft totdat het zoeken naar de pagina's daadwerkelijk begint. Uitvoer zoals de hulptekst zal altijd getoond worden in de taal die in eerste instantie bepaald is.

-m systeem[,...], --systems=systeem[,...]
    If this system has access to other operating systems' manual pages, they can be accessed using this option. To search for a manual page from NewOS's manual page collection, use the option -m NewOS. Het opgegeven systeem kan bestaan uit een combinatie van kommagescheiden namen van besturingssystemen. Om ook de man-pagina's van het eigen besturingssysteem te doorzoeken, voegt u de systeemnaam man toe aan de argumentstring. Deze optie gaat voor op de omgevingsvariabele $SYSTEM.

-M pad, --manpath=pad
    Geef een alternatief man-pad op. Standaard gebruikt man manpath om het zoekpad te bepalen. De optie gaat voor op de omgevingsvariabele $MANPATH en zorgt dat optie -m wordt genegeerd. Een pad dat als man-pad opgegeven wordt, moet de top van de man-paginastructuur zijn, verdeeld in secties zoals in de man-db-handleiding is beschreven (onder "Het man-paginasysteem"). Man-pagina's buiten deze structuur kunnen bekeken worden via optie -I.

-S list, -s list, --sections=list
    The given list is a colon- or comma-separated list of sections, used to determine which manual sections to search and in what order. This option overrides the $MANSECT environment variable. (The -s spelling is for compatibility with System V.)

-e sub-extensie, --extension=sub-extensie
    Some systems incorporate large packages of manual pages, such as those that accompany the Tcl package, into the main manual page hierarchy. To get around the problem of having two manual pages with the same name such as exit(3), the Tcl pages were usually all assigned to section l. As this is unfortunate, it is now possible to put the pages in the correct section, and to assign a specific "extension" to them, in this case, exit(3tcl). Under normal operation, man will display exit(3) in preference to exit(3tcl). To negotiate this situation and to avoid having to know which section the page you require resides in, it is now possible to give man a sub-extension string indicating which package the page must belong to. Using the above example, supplying the option -e tcl to man will restrict the search to pages having an extension of *tcl.

-i, --ignore-case
    Hoofdletters zijn niet van invloed bij het zoeken naar man-pagina's. Dit is het standaardgedrag.

-I, --match-case
    Hoofdletters zijn van invloed bij het zoeken naar man-pagina's.

--regex
    Alle pagina's weergeven indien een deel van hun naam of beschrijving overeenkomt met elk pagina-argument als een reguliere expressie, zoals bij apropos(1). Omdat er bij het zoeken naar een reguliere expressie vaak geen goede wijze is om de "beste" pagina te kiezen, impliceert deze optie -a

--wildcard
    Alle pagina's tonen met elke deel van hun namen of hun beschrijvingen die overeenkomen met ieder pagina-argument gebruikmakend van shell-achtige jokertekens, zoals met apropos(1) --wildcard. Het argument pagina moet overeenkomen met de volledige naam of beschrijving, of op de woordgrenzen in de beschrijving. Omdat er bij het zoeken met jokertekens meestal geen manier is om de "beste" pagina te kiezen, impliceert deze optie -a.

--names-only
    Als de optie --regex of --wildcard is gebruikt, zoek dan alleen naar overeenkomsten in paginanamen en niet in paginabeschrijvingen, zoals met watis(1). Anders is er geen effect.

-a, --all
    Standaard zal man stoppen na het weergeven van de meeste geschikte man-pagina die het kan vinden. Door gebruik te maken van deze optie, wordt man gedwongen alle man-pagina's te tonen met namen die overeenkomen met de zoekcriteria.

-u, --update
    This option causes man to update its database caches of installed manual pages. This is only needed in rare situations, and it is normally better to run mandb(8) instead.

--no-subpages
    By default, man will try to interpret pairs of manual page names given on the command line as equivalent to a single manual page name containing a hyphen or an underscore. This supports the common pattern of programs that implement a number of subcommands, allowing them to provide manual pages for each that can be accessed using similar syntax as would be used to invoke the subcommands themselves. For example:
      $ man -aw git diff
      /usr/share/man/man1/git-diff.1.gz
    Met de optie --no-subpages wordt dit gedrag uitgeschakeld.
      $ man -aw --no-subpages git diff
      /usr/share/man/man1/git.1.gz
      /usr/share/man/man3/Git.3pm.gz
      /usr/share/man/man1/diff.1.gz

  Opgemaakte uitvoer beheersen

-P opmaker, --pager=opmaker
    Specify which output pager to use. By default, man uses less, falling back to cat if less is not found or is not executable. This option overrides the $MANPAGER environment variable, which in turn overrides the $PAGER environment variable. It is not used in conjunction with -f or -k. De waarde kan bestaan uit een eenvoudige opdrachtnaam of een opdracht met argumenten, waarbij shell-tekens gebruikt mogen worden (backslashes en enkele of dubbele aanhalingstekens). Er mogen geen 'pipes' gebruikt worden om meerdere opdrachten te koppelen; als dit nodig is, gebruik dan een wrapper-script die het te tonen bestand als argument of als standaardinvoer kan nemen.

-r prompt, --prompt=prompt
    Als een recente versie van less als opmaker is gebruikt, zal man proberen zijn prompt en enkele nuttige opties in te stellen. De standaardprompt ziet eruit als Man-pagina naam(sec) regel x waarbij naam staat voor de naam van de man-pagina, sec voor de sectie waaronder het gevonden is en x voor het huidige regelnummer. Dit is gerealiseerd door het gebruik van de omgevingsvariabele $LESS. Supplying -r with a string will override this default. The string may contain the text $MAN_PN which will be expanded to the name of the current manual page and its section name surrounded by "(" and ")". The string used to produce the default could be expressed as \ Man\ pagina\ \$MAN_PN\ ?ltline\ %lt?L/%L.:
    byte\ %bB?s/%s..?\ (END):?pB\ %pB\\%..
    (press h for help or q to quit) It is broken into three lines here for the sake of readability only. For its meaning see the less(1) manual page. The prompt string is first evaluated by the shell. All double quotes, back-quotes and backslashes in the prompt must be escaped by a preceding backslash. The prompt string may end in an escaped $ which may be followed by further options for less. By default man sets the -ix8 options. The $MANLESS environment variable described below may be used to set a default prompt string if none is supplied on the command line.

-7, --ascii
    Bij het bekijken van een man-pagina puur in ascii(7) op een 7-bit-terminal of -terminal-emulator kunnen sommige tekens niet goed worden weergegeven als het gebruik maakt van de apparaatbeschrijving latin1(7) met GNU nroff. Deze optie staat toe man-pagina's in puur ascii te tonen in ascii op een latin1-apparaat. Er zal geen latin1-tekst worden omgezet. De volgende tabel toon de uitgevoerde omzettingen: sommige van de delen kunnen alleen correct worden getoond bij gebruik van GNU nroff's latin1(7)-apparaat.
    Description | Octal | latin1 | ascii
    continuation hyphen | 255 |  | -
    bullet (middle dot) | 267 | • | o
    acute accent | 264 | ´ | '
    multiplication sign | 327 | × | x
    Als de inhoud van kolom latin1 juist is, staat uw terminal waarschijnlijk op latin1-tekens ingesteld en is deze optie niet noodzakelijk. Als de kolommen latin1 en ascii identiek zijn, dan bekijk u deze pagina gebruikmakend van deze optie, of man heeft de pagina niet opgemaakt volgens de latin1-apparaatbeschrijving. Als de kolom latin1 ontbreekt of de inhoud verminkt is, dan moet u de man-pagina's waarschijnlijk met deze optie bekijken. Deze optie wordt genegeerd bij gelijktijdig gebruik van de opties -t, -H, -T of -Z en is mogelijk nutteloos bij een andere nroff dan die van GNU.

-E codering, --encoding=codering
    Uitvoer aanmaken voor een tekencodering die afwijkt van de standaard. Voor achterwaartse compatibiliteit mag codering een nroff-apparaat zijn zoals een ascii, latin1 of utf8, maar ook een echte tekencodering zoals UTF-8.

--no-hyphenation, --nh
    Normaal zal nroff tekst op regeleinden automatisch afbreken, zelfs in woorden die geen afbreekteken bevatten, als het nodig is om deze woorden over een regel te verdelen zonder excessieve witruimte. Deze optie schakelt automatisch afbreken uit, zodat woorden alleen afgebroken worden als ze al afbreektekens bevatten. Als u een man-pagina schrijft en wilt voorkomen dat nroff een woord afbreekt op een ongeschikte plek, gebruik dan deze optie niet, maar lees de nroff-documentatie over dit punt; zo kunt u bijvoorbeeld "\%" binnen een woord plaatsen om aan te geven dat er op deze plek mag worden afgebroken, of plaats "\%" aan het begin van een woord om te voorkomen dat het wordt afgebroken.

--no-justification, --nj
    Normaal zal nroff tekst automatisch tussen beide marges uitvullen. Deze optie schakelt volledige uitvulling uit, waarbij alleen uitlijnen tegen de linker marge overblijft. Als u tijdens het schrijven van een man-pagina wilt verhinderen dat nroff bepaalde alinea's uitvult, kunt u deze optie beter niet gebruiken. Raadpleeg liever de nroff-documentatie; u kunt bijvoorbeeld de ".na", ".nf", ".fi" en ".ad" gebruiken om aanpassing en uitvulling uit te schakelen.

-p string, --preprocessor=string
    Geef de volgorde van preprocessors aan die vóór nroff of troff/groff uitgevoerd moeten worden. Niet alle installaties zullen over een volledige verzameling van preprocessors beschikken. Sommige preprocessors en de aan hen toegewezen letters zijn: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Deze optie overschrijft de omgevingsvariabele $MANROFFSEQ. zsoelim wordt altijd als de allereerste preprocessor uitgevoerd.

-t, --troff
    Gebruik groff -mandoc om de man-pagina voor stdout op te maken. Deze optie is niet vereist in samenhang met -H, -T of -Z.

-T[device], --troff-device[=device]
    This option is used to change groff (or possibly troff's) output to be suitable for a device other than the default. It implies -t. Examples (as of groff 1.23.0) include dvi, latin1, pdf, ps, utf8, X75 and X100.

-H[browser], --html[=browser]
    Deze optie laat groff HTML-uitvoer produceren en toont deze uitvoer in een webbrowser. De keuze voor een browser wordt bepaald door het optionele browser-argument, de door omgevingsvariabele $BROWSER of door een compilatiestandaard (meestal lynx). Deze optie veronderstelt -t en werkt alleen samen met GNU troff.

-X[dpi], --gxditview[=dpi]
    Deze optie toont de uitvoer van groff in een grafisch venster via het gxditview-programma. De dpi-instelling (dots per inch) kan 75, 75-12, 100 of 100-12 zijn, met als standaard 75. De -12-varianten gebruiken een 12-punts basislettertype. Deze optie veronderstelt -T met een X75-, X75-12-, X100- resp. X100-12-apparaat.

-Z, --ditroff
    groff zal troff uitvoeren en vervolgens een geschikte postprocessor gebruiken om de uitvoer te maken die geschikt is voor het gekozen apparaat. Als groff -mandoc groter is dan groff wordt deze optie doorgegeven an groff en wordt er geen postprocessor gebruikt. Het impliceert -t.

  Hulp krijgen

-?, --help
    Een hulptekst tonen en stoppen.

--usage
    Print a short usage message and exit.

-V, --version
    Versieinformatie tonen.

STOPSTATUS

0   Programma correct uitgevoerd.

1   Gebruiks-, syntax- of configuratiebestandfout.

2   Uitvoeringsfout.

3   Een child-proces gaf een stopstatus ongelijk aan nul.

16  Minstens een van de pagina's/bestanden/trefwoorden bestond niet of kwam niet overeen.

OMGEVING

MANPATH
    Als $MANPATH ingesteld is, wordt het pad gebruikt om naar man-pagina's te zoeken. See the SEARCH PATH section of manpath(5) for the default behaviour and details of how this environment variable is handled.

MANROFFOPT
    Every time man invokes the formatter (nroff, troff, or groff), it adds the contents of $MANROFFOPT to the formatter's command line. For example, MANROFFOPT=-P-i tells the formatter to use italic text (which is only supported by some terminals) rather than underlined text.

MANROFFSEQ
    Als $MANROFFSEQ ingesteld is, wordt de waarde gebruikt om de preprocessors vast te stellen waarmee iedere man-pagina verwerkt wordt. De standaard preprocessorlijst is systeemafhankelijk.

MANSECT
    If $MANSECT is set, its value is a colon-delimited list of sections and it is used to determine which manual sections to search and in what order. The default is "1 1p 8 2 3 3p 4 5 6 7 9 0p tcl n l p o 1x 2x 3x 4x 5x 6x 7x 8x", unless overridden by the SECTION directive in /etc/man_db.conf.

MANPAGER, PAGER
    If $MANPAGER or $PAGER is set ($MANPAGER is used in preference), its value is used as the name of the program used to display the manual page. By default, less is used, falling back to cat if less is not found or is not executable. De waarde kan bestaan uit een eenvoudige opdrachtnaam of een opdracht met argumenten, waarbij shell-tekens gebruikt mogen worden (backslashes en enkele of dubbele aanhalingstekens). Er mogen geen 'pipes' gebruikt worden om meerdere opdrachten te koppelen; als dit nodig is, gebruik dan een wrapper-script die het te tonen bestand als argument of als standaardinvoer kan nemen.

MANLESS
    If $MANLESS is set, its value will be used as the default prompt string for the less pager, as if it had been passed using the -r option (so any occurrences of the text $MAN_PN will be expanded in the same way). For example, if you want to set the prompt string unconditionally to “my prompt string”, set $MANLESS to ‘-Psmy prompt string’. Using the -r option overrides this environment variable.

BROWSER
    Als $BROWSER ingesteld is, bestaat deze uit een dubbelepuntgescheiden lijst met opdrachten, waarbij iedere opdracht poogt een webbrowser voor man --html te starten. In ieder opdracht wordt %s vervangen door een bestandsnaam met de HTML-uitvoer van groff, %% door een enkel procentteken (%) en %c door een dubbelepunt (:).

SYSTEM
    Wanneer $SYSTEM is opgegeven, heeft dit hetzelfde effect als het opgegeven van optie -m als argument.

MANOPT
    If $MANOPT is set, it will be parsed prior to man's command line and is expected to be in a similar format. As all of the other man specific environment variables can be expressed as command line options, and are thus candidates for being included in $MANOPT it is expected that they will become obsolete. N.B. All spaces that should be interpreted as part of an option's argument must be escaped.

MANWIDTH
    If $MANWIDTH is set, its value is used as the line length for which manual pages should be formatted. If it is not set, manual pages will be formatted with a line length appropriate to the current terminal (using the value of $COLUMNS, and ioctl(2) if available, or falling back to 80 characters if neither is available). Cat pages will only be saved when the default formatting can be used, that is when the terminal line length is between 66 and 80 characters.

MAN_KEEP_FORMATTING
    Normaal, als uitvoer niet doorgestuurd wordt naar een terminal (zoals naar een bestand of een pijp), worden opmaaktekens genegeerd om het resultaat makkelijker leesbaar te maken zonder speciale hulpmiddelen. Echter, als $MAN_KEEP_FORMATTING ingesteld is op een niet-lege waarde, dan worden deze opmaaktekens behouden. Dit kan nuttig zijn voor wrappers om man die opmaaktekens kunnen interpreteren.

MAN_KEEP_STDERR
    Normaal, als de uitvoer doorgestuurd wordt naar een terminal (meestal een pagina-opmaker), dan wordt ieder foutenuitvoer van de opdracht om opgemaakte versies van man-pagina's te maken genegeerd om verstoring van de pagina-opmaker te voorkomen. Programma's zoals groff produceren relatief weinig foutmeldingen over typografische problemen zoals slechte uitlijning die lelijk zijn en algemeen verwarrend als ze naast de man-pagina worden getoond. Echter, sommige gebruikers willen ze toch zien, dus, als $MAN_KEEP_STDERR ingesteld is op een niet-lege waarde, zal de foutmelding normaal getoond worden.

MAN_DISABLE_SECCOMP
    On Linux, man normally confines subprocesses that handle untrusted data using a seccomp(2) sandbox. This makes it safer to run complex parsing code over arbitrary manual pages. If this goes wrong for some reason unrelated to the content of the page being displayed, you can set $MAN_DISABLE_SECCOMP to any non-empty value to disable the sandbox.

PIPELINE_DEBUG
    If the $PIPELINE_DEBUG environment variable is set to "1", then man will print debugging messages to standard error describing each subprocess it runs.

LANG, LC_MESSAGES
    Afhankelijk van het systeem en de implementatie, worden $LANG en $LC_MESSAGES bevraagd om de huidige locale te bepalen. man zal zijn meldingen in die locale tonen (mits beschikbaar). Zie setlocale(3) voor de details.

BESTANDEN

/etc/man_db.conf
    man-db-configuratiebestand.

/usr/share/man
    Een algemene man-paginahierarchie.

STANDARDS
POSIX.1-2001, POSIX.1-2008, POSIX.1-2017.

ZIE OOK
apropos(1), groff(1), less(1), manpath(1), nroff(1), troff(1), whatis(1), zsoelim(1), manpath(5), man(7), catman(8), mandb(8)

Documentation for some packages may be available in other formats, such as info(1) or HTML.

GESCHIEDENIS
1990, 1991 – Originally written by John W. Eaton (jwe@che.utexas.edu). 23 dec 1992: Rik Faith (faith@cs.unc.edu) paste reparaties van fouten toe geleverd door Willem Kasdorp (wkasdo@nikhefk.nikef.nl). 30th April 1994 – 23rd February 2000: Wilf. (G.Wilford@ee.surrey.ac.uk) has been developing and maintaining this package with the help of a few dedicated people. 30th October 1996 – 30th March 2001: Fabrizio Polacco <fpolacco@debian.org> maintained and enhanced this package for the Debian project, with the help of all the community. 31st March 2001 – present day: Colin Watson <cjwatson@debian.org> is now developing and maintaining man-db.

BUGS
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db